Skip to main content
GET
List organization memberships for the current authenticated user

Authorizations

Authorization
string
header
required

OAuth2 Authorization Code flow

Query Parameters

expand
string

Comma-separated fields to expand. Supports selection with brackets (e.g., "createdBy,updatedBy" or "targets.company[icon,tradeName]").

Example:

"createdBy"

page_size
number
default:20

Number of items to return per page

Required range: 1 <= x <= 100
Example:

100

start_cursor
string

Opaque cursor for pagination. Use the next_cursor from previous response.

Example:

"eyJjcmVhdGVkX3RpbWUiOiIyMDI0LTExLTE1VDEwOjAwOjAwLjAwMFoiLCJpZCI6InBhZ2VfYWJjMTIzIn0="

filter
string

Stripe-like filter over org fields, e.g. org.name:"acme", org.slug:"acme", org.document:"61969404000182", org.domain:"acme.com", org.status:"active", or membership.status:"active".

Response

Current user organization memberships

object
string
default:list
required

Object type identifier

results
object[]
required

Array of results for current page

has_more
boolean
required

Whether more results exist beyond this page

next_cursor
string | null

Opaque cursor for next page. null if no more results.

type
string

Type of results (Notion-compatible)